#
# spec file for package tf (Version 40s1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  aaa_skel
# usedforbuild    aaa_base aaa_dir aaa_skel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         tf
Copyright:    Ken Keys
Group:        Amusements/Games
Provides:     tf 
Autoreqprov:  on
Version:      40s1
Release:      331
Summary:      TinyFugue
Source:  tf-40s1.tar.gz
Patch:   tf-40s1.dif

%description
TinyFugue is a MUD-Client (Multi User Dungeons) that allows the user to dive
into one the most fascinating Multi-User-Non-Graphic-Fantasy-Role-Playing-Games.
Just Enter "tf" and enjoy your game.

Authors:
--------
    Ken Keys ("Hawkeye") <hawkeye@tf.tcp.com>
    Andreas Sahlbach <asa@stardiv.de>

SuSE series: fun

%prep
%setup
%patch

%build
make

%install
DOCDIR=%{_defaultdocdir}/tf
install -d -m 755 ${DOCDIR}
install -d -m 755 /usr/lib/tf-40s1
install -m 644 CHANGES ${DOCDIR}
install -m 644 COPYING ${DOCDIR}
install -m 644 CREDITS ${DOCDIR}
install -m 644 README ${DOCDIR}
install -m 644 unix/README ${DOCDIR}/README.unix
install -m 644 tf-lib/README ${DOCDIR}/README.lib
install -m 644 os2/README ${DOCDIR}/README.os2
install -m 644 tf-lib/.tfrc /etc/skel
install -m 644 src/tf.1.nroffman %{_mandir}/man1/tf.1
install -m 755 src/tf /usr/bin/tf
install -m 644 tf-lib/alias.tf /usr/lib/tf-40s1
install -m 644 tf-lib/at.tf /usr/lib/tf-40s1
install -m 644 tf-lib/changes.tf /usr/lib/tf-40s1
install -m 644 tf-lib/color.tf /usr/lib/tf-40s1
install -m 644 tf-lib/complete.tf /usr/lib/tf-40s1
install -m 644 tf-lib/examples.old /usr/lib/tf-40s1
install -m 644 tf-lib/factoral.tf /usr/lib/tf-40s1
install -m 644 tf-lib/filexfer.tf /usr/lib/tf-40s1
install -m 644 tf-lib/finger.tf /usr/lib/tf-40s1
install -m 644 tf-lib/grep.tf /usr/lib/tf-40s1
install -m 644 tf-lib/hanoi.tf /usr/lib/tf-40s1
install -m 644 tf-lib/kb-bash.tf /usr/lib/tf-40s1
install -m 644 tf-lib/kb-emacs.tf /usr/lib/tf-40s1
install -m 644 tf-lib/kb-os2.tf /usr/lib/tf-40s1
install -m 644 tf-lib/kbbind.tf /usr/lib/tf-40s1
install -m 644 tf-lib/kbfunc.tf /usr/lib/tf-40s1
install -m 644 tf-lib/kbregion.tf /usr/lib/tf-40s1
install -m 644 tf-lib/kbstack.tf /usr/lib/tf-40s1
install -m 644 tf-lib/kbstack.tf /usr/lib/tf-40s1
install -m 644 tf-lib/lisp.tf /usr/lib/tf-40s1
install -m 755 tf-lib/local-eg.tf /usr/lib/tf-40s1
install -m 644 tf-lib/map.tf /usr/lib/tf-40s1
install -m 644 tf-lib/pcmd.tf /usr/lib/tf-40s1
install -m 644 tf-lib/psh.tf /usr/lib/tf-40s1
install -m 644 tf-lib/quoter.tf /usr/lib/tf-40s1
install -m 644 tf-lib/relog.tf /usr/lib/tf-40s1
install -m 644 tf-lib/rwho.tf /usr/lib/tf-40s1
install -m 644 tf-lib/self.tf /usr/lib/tf-40s1
install -m 644 tf-lib/spc-page.tf /usr/lib/tf-40s1
install -m 644 tf-lib/spedwalk.tf /usr/lib/tf-40s1
install -m 644 tf-lib/spell.tf /usr/lib/tf-40s1
install -m 644 tf-lib/stack-q.tf /usr/lib/tf-40s1
install -m 755 tf-lib/stdlib.tf /usr/lib/tf-40s1
install -m 644 tf-lib/textutil.tf /usr/lib/tf-40s1
install -m 644 tf-lib/tf-help /usr/lib/tf-40s1
install -m 644 tf-lib/tf-help.idx /usr/lib/tf-40s1
install -m 644 tf-lib/tfrc /usr/lib/tf-40s1
install -m 644 tf-lib/tick.tf /usr/lib/tf-40s1
install -m 644 tf-lib/tintin.tf /usr/lib/tf-40s1
install -m 644 tf-lib/tools.tf /usr/lib/tf-40s1
install -m 644 tf-lib/tr.tf /usr/lib/tf-40s1
install -m 755 tf-lib/watch.tf /usr/lib/tf-40s1
install -m 644 tf-lib/world-q.tf /usr/lib/tf-40s1

%files
/etc/skel/.tfrc
/usr/bin/tf
%{_defaultdocdir}/tf/CHANGES
%{_defaultdocdir}/tf/COPYING
%{_defaultdocdir}/tf/CREDITS
%{_defaultdocdir}/tf/README
%{_defaultdocdir}/tf/README.unix
%{_defaultdocdir}/tf/README.lib
%{_defaultdocdir}/tf/README.os2
/usr/lib/tf-40s1/alias.tf
/usr/lib/tf-40s1/at.tf
/usr/lib/tf-40s1/changes.tf
/usr/lib/tf-40s1/color.tf
/usr/lib/tf-40s1/complete.tf
/usr/lib/tf-40s1/examples.old
/usr/lib/tf-40s1/factoral.tf
/usr/lib/tf-40s1/filexfer.tf
/usr/lib/tf-40s1/finger.tf
/usr/lib/tf-40s1/grep.tf
/usr/lib/tf-40s1/hanoi.tf
/usr/lib/tf-40s1/kb-bash.tf
/usr/lib/tf-40s1/kb-emacs.tf
/usr/lib/tf-40s1/kb-os2.tf
/usr/lib/tf-40s1/kbbind.tf
/usr/lib/tf-40s1/kbfunc.tf
/usr/lib/tf-40s1/kbregion.tf
/usr/lib/tf-40s1/kbstack.tf
/usr/lib/tf-40s1/lisp.tf
/usr/lib/tf-40s1/local-eg.tf
/usr/lib/tf-40s1/map.tf
/usr/lib/tf-40s1/pcmd.tf
/usr/lib/tf-40s1/psh.tf
/usr/lib/tf-40s1/quoter.tf
/usr/lib/tf-40s1/relog.tf
/usr/lib/tf-40s1/rwho.tf
/usr/lib/tf-40s1/self.tf
/usr/lib/tf-40s1/spc-page.tf
/usr/lib/tf-40s1/spedwalk.tf
/usr/lib/tf-40s1/spell.tf
/usr/lib/tf-40s1/stack-q.tf
/usr/lib/tf-40s1/stdlib.tf
/usr/lib/tf-40s1/textutil.tf
/usr/lib/tf-40s1/tf-help
/usr/lib/tf-40s1/tf-help.idx
/usr/lib/tf-40s1/tfrc
/usr/lib/tf-40s1/tick.tf
/usr/lib/tf-40s1/tintin.tf
/usr/lib/tf-40s1/tools.tf
/usr/lib/tf-40s1/tr.tf
/usr/lib/tf-40s1/watch.tf
/usr/lib/tf-40s1/world-q.tf
%doc %{_mandir}/man1/tf.1.gz

%changelog -n tf
* Fri Apr 06 2001 - kukuk@suse.de
- Fix group tag
* Wed Jun 07 2000 - ro@suse.de
- doc relocation
* Fri Mar 03 2000 - uli@suse.de
- moved man page to %%{_mandir}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed May 26 1999 - tw@suse.de
-
  Just did 2 things:
  1) make default location /usr/... and not /usr/local/...
  2) do little changes to to a "non-interactive-unixmake"
  Nothing else.
